DeletionInfo.Serializer (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.db

## Class DeletionInfo.Serializer

- java.lang.Object
- - org.apache.cassandra.db.DeletionInfo.Serializer

- All Implemented Interfaces:
    IVersionedSerializer<DeletionInfo>
  Enclosing class:
    DeletionInfo

      public static class DeletionInfo.Serializer
      extends java.lang.Object
      implements IVersionedSerializer<DeletionInfo>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Serializer(CType type)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DeletionInfo` | `deserialize(java.io.DataInput in, int version)` Deserialize into the specified DataInputStream instance.
    `void` | `serialize(DeletionInfo info, DataOutputPlus out, int version)` Serialize the specified type into the specified DataOutputStream instance.
    `long` | `serializedSize(DeletionInfo info, int version)` Calculate serialized size of object without actually serializing.
    `long` | `serializedSize(DeletionInfo info, TypeSizes typeSizes, int version)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Serializer

          public Serializer(CType type)

  - ### Method Detail

    - #### serialize

          public void serialize(DeletionInfo info,
                                DataOutputPlus out,
                                int version)
                         throws java.io.IOException

      Description copied from interface: `IVersionedSerializer`
      Serialize the specified type into the specified DataOutputStream instance.
      Specified by:
        `serialize` in interface `IVersionedSerializer<DeletionInfo>`
      Parameters:
        `info` - type that needs to be serialized
        `out` - DataOutput into which serialization needs to happen.
        `version` - protocol version
      Throws:
        `java.io.IOException` - if serialization fails

    - #### deserialize

          public DeletionInfo deserialize(java.io.DataInput in,
                                          int version)
                                   throws java.io.IOException

      Description copied from interface: `IVersionedSerializer`
      Deserialize into the specified DataInputStream instance.
      Specified by:
        `deserialize` in interface `IVersionedSerializer<DeletionInfo>`
      Parameters:
        `in` - DataInput from which deserialization needs to happen.
        `version` - protocol version
      Returns:
        the type that was deserialized
      Throws:
        `java.io.IOException` - if deserialization fails

    - #### serializedSize

          public long serializedSize(DeletionInfo info,
                                     TypeSizes typeSizes,
                                     int version)

    - #### serializedSize

          public long serializedSize(DeletionInfo info,
                                     int version)

      Description copied from interface: `IVersionedSerializer`
      Calculate serialized size of object without actually serializing.
      Specified by:
        `serializedSize` in interface `IVersionedSerializer<DeletionInfo>`
      Parameters:
        `info` - object to calculate serialized size
        `version` - protocol version
      Returns:
        serialized size of object t

Copyright © 2018 The Apache Software Foundation